package com.ruoyi.base.service;

import java.util.List;
import com.ruoyi.base.domain.RobotOpsFaq;

/**
 * 问答库管理Service接口
 * 
 * @author ruoyi
 * @date 2026-05-07
 */
public interface IRobotOpsFaqService 
{
    /**
     * 查询问答库管理
     * 
     * @param id 问答库管理主键
     * @return 问答库管理
     */
    public RobotOpsFaq selectRobotOpsFaqById(Long id);

    /**
     * 查询问答库管理列表
     * 
     * @param robotOpsFaq 问答库管理
     * @return 问答库管理集合
     */
    public List<RobotOpsFaq> selectRobotOpsFaqList(RobotOpsFaq robotOpsFaq);

    /**
     * 新增问答库管理
     * 
     * @param robotOpsFaq 问答库管理
     * @return 结果
     */
    public int insertRobotOpsFaq(RobotOpsFaq robotOpsFaq);

    /**
     * 修改问答库管理
     * 
     * @param robotOpsFaq 问答库管理
     * @return 结果
     */
    public int updateRobotOpsFaq(RobotOpsFaq robotOpsFaq);

    /**
     * 批量删除问答库管理
     * 
     * @param ids 需要删除的问答库管理主键集合
     * @return 结果
     */
    public int deleteRobotOpsFaqByIds(Long[] ids);

    /**
     * 删除问答库管理信息
     * 
     * @param id 问答库管理主键
     * @return 结果
     */
    public int deleteRobotOpsFaqById(Long id);
}
